-- Add with clauses 
with text_io;
with system;use system;

with Win32.crt.Time;

package body private_io is
function priv_clock return priv_int is
result:priv_int;
begin
    -- must return -1 if clock is not implemented
    result:=-1; 
    result:=priv_int(Win32.crt.Time.clock);
    return(result);
end priv_clock;
procedure priv_open(file : in out priv_file; name : in string ) is
begin
	text_io.create(file,text_io.out_file,name);
end priv_open;
procedure priv_writeln(file : in out priv_file; line: in string) is
begin
	text_io.put(file,line);
	text_io.new_line(file);
end priv_writeln;
procedure priv_close(file : in out priv_file) is
begin
	text_io.close(file);
end priv_close;
procedure priv_date(date_sys:out string;lg_date :out integer) is
    begin
      for i in date_sys'range loop
        date_sys(i):=' ';
      end loop;
      lg_date:=0;
    end priv_date;
-- Insert additional function bodies here

end private_io;
