--************************************************************************
--* TOOL : Unit Test Compiler VERSION 2002.05.21.468.004                 *
--*                                                                      *
--* COMMAND : attolprepro H:\support\BaeSystems\v182333229\calc.ptu      *
--*   adapcgnt\TCalc.ada /LANGUAGE=ADA /TARGET=PC/NT /FAST               *
--*   /NOSIMULATION                                                      *
--*   /STANDARD=C:\PROGRA~1\Rational\TESTRE~1\targets\adapcgnt\ana\ada95.alk  *
--*   /ADALINK=adalink.alk                                               *
--*                                                                      *
--* FILE : H:\support\BaeSystems\v182333229\adapcgnt\TCalc.ada           *
--*                                                                      *
--* DATE : Mon Apr 28 17:39:57 2003                                      *
--************************************************************************


With Interface;
With CALC;


WITH SYSTEM; USE SYSTEM;
WITH ATTOL; USE ATTOL;
WITH Unchecked_Conversion;
WITH ATTOL_TAG;
WITH TCalc_var_simule;
PROCEDURE TCalc IS
USE TCalc_var_simule.P_NONIL;




PROCEDURE TEST_ADD is 

PARAM : STANDARD.INTEGER;
expected_res1 : Interface.Data_Array :=(0=>5,1=>4, others=>Integer'first);
expected_res2 : Interface.Data_Array :=(0=>5,1=>4, others=>Integer'last);



BEGIN -- PROCEDURE TEST_ADD
  NULL;
NUM_OPERATION := 1;


DCL_OP_ADA(ATTOL_INT(2), "ADD");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(4), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
TCalc_var_simule.ATT_1.ATT_1_SEND.Slicerange(1).min := 1;
TCalc_var_simule.ATT_1.ATT_1_SEND.Slicerange(1).max := 1;
TCalc_var_simule.ATT_1.ATT_1_SEND.tabfield(1).min.DATA := EXPECTED_RES1;
TCalc_var_simule.ATT_1.ATT_1_SEND.tabfield(1).max.DATA := EXPECTED_RES2;
-- Begin environment ENV_ADD init part
Begin
TCalc_var_simule.init2(8,1,PARAM,0);
Exception When Others => Attol.Excep_Ada(1);
End;
-- End environment ENV_ADD init part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
CALC.ADD(PARAM);
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
-- Begin environment ENV_ADD ev part
Begin
TCalc_var_simule.Edp2_1(8,Attol.Check,1,PARAM,0);
Exception When Others => Attol.Erv_ada(Attol.Attol_int(8));
End;
-- End environment ENV_ADD ev part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_ADD;


PROCEDURE TEST_SUBRACT is 

PARAM : STANDARD.INTEGER;


BEGIN -- PROCEDURE TEST_SUBRACT
  NULL;
NUM_OPERATION := 2;


DCL_OP_ADA(ATTOL_INT(9), "SUBRACT");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(11), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
-- Begin environment ENV_SUBRACT init part
Begin
TCalc_var_simule.init2(15,1,PARAM,0);
Exception When Others => Attol.Excep_Ada(1);
End;
-- End environment ENV_SUBRACT init part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
CALC.SUBRACT(PARAM);
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
-- Begin environment ENV_SUBRACT ev part
Begin
TCalc_var_simule.Edp2_1(15,Attol.Check,1,PARAM,0);
Exception When Others => Attol.Erv_ada(Attol.Attol_int(15));
End;
-- End environment ENV_SUBRACT ev part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_SUBRACT;


PROCEDURE TEST_MULTIPLY is 

PARAM : STANDARD.INTEGER;


BEGIN -- PROCEDURE TEST_MULTIPLY
  NULL;
NUM_OPERATION := 3;


DCL_OP_ADA(ATTOL_INT(16), "MULTIPLY");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(18), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
-- Begin environment ENV_MULTIPLY init part
Begin
TCalc_var_simule.init2(22,1,PARAM,0);
Exception When Others => Attol.Excep_Ada(1);
End;
-- End environment ENV_MULTIPLY init part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
CALC.MULTIPLY(PARAM);
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
-- Begin environment ENV_MULTIPLY ev part
Begin
TCalc_var_simule.Edp2_1(22,Attol.Check,1,PARAM,0);
Exception When Others => Attol.Erv_ada(Attol.Attol_int(22));
End;
-- End environment ENV_MULTIPLY ev part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_MULTIPLY;


PROCEDURE TEST_DIVIDE is 

PARAM : STANDARD.INTEGER;


BEGIN -- PROCEDURE TEST_DIVIDE
  NULL;
NUM_OPERATION := 4;


DCL_OP_ADA(ATTOL_INT(23), "DIVIDE");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(25), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
-- Begin environment ENV_DIVIDE init part
Begin
TCalc_var_simule.init2(29,1,PARAM,10);
Exception When Others => Attol.Excep_Ada(1);
End;
-- End environment ENV_DIVIDE init part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
CALC.DIVIDE(PARAM);
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
-- Begin environment ENV_DIVIDE ev part
Begin
TCalc_var_simule.Edp2_1(29,Attol.Check,1,PARAM,10);
Exception When Others => Attol.Erv_ada(Attol.Attol_int(29));
End;
-- End environment ENV_DIVIDE ev part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_DIVIDE;


PROCEDURE TEST_GETTOTAL is 

Ret_GETTOTAL : STANDARD.INTEGER;


BEGIN -- PROCEDURE TEST_GETTOTAL
  NULL;
NUM_OPERATION := 5;


DCL_OP_ADA(ATTOL_INT(30), "GETTOTAL");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(32), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
-- Begin environment ENV_GETTOTAL init part
Begin
TCalc_var_simule.init2(36,1,RET_GETTOTAL,0);
Exception When Others => Attol.Excep_Ada(1);
End;
-- End environment ENV_GETTOTAL init part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
Ret_GETTOTAL := CALC.GETTOTAL;
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
-- Begin environment ENV_GETTOTAL ev part
Begin
TCalc_var_simule.Edp2_1(36,Attol.Check,1,RET_GETTOTAL,0);
Exception When Others => Attol.Erv_ada(Attol.Attol_int(36));
End;
-- End environment ENV_GETTOTAL ev part
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_GETTOTAL;


PROCEDURE TEST_CLEARTOTAL is 

BEGIN -- PROCEDURE TEST_CLEARTOTAL
  NULL;
NUM_OPERATION := 6;


DCL_OP_ADA(ATTOL_INT(37), "CLEARTOTAL");
BEGIN
  NULL;
DCL_TST_ADA(ATTOL_INT(39), "1");
BEGIN
  NULL;
BEGIN
  NULL;
TCalc_var_simule.Init_All;
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(1);END;

num_test := 1;
ATTOL.START_CHRONO_ADA;
BEGIN
  NULL;
CALC.CLEARTOTAL;
NULL;EXCEPTION

WHEN STANDARD.CONSTRAINT_ERROR=> ATTOL.EXCEP_ADA(2,"STANDARD.CONSTRAINT_ERROR");
WHEN STANDARD.PROGRAM_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.PROGRAM_ERROR");
WHEN STANDARD.STORAGE_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.STORAGE_ERROR");
WHEN STANDARD.TASKING_ERROR=> ATTOL.EXCEP_ADA(2, "STANDARD.TASKING_ERROR");
WHEN OTHERS=> ATTOL.EXCEP_ADA(2);END;
ATTOL.STOP_CHRONO_ADA;
BEGIN
  NULL;
TCalc_var_simule.Check_All;
NULL;EXCEPTION WHEN OTHERS=> ATTOL.EXCEP_ADA(3);END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(1);
END;

EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);
END TEST_CLEARTOTAL;




BEGIN -- PROCEDURE TCalc
  NULL;
ATTOL.OPF_ADA("H:\support\BaeSystems\v182333229\adapcgnt\TCalc.rio"&ASCII.NUL,"1051544397");
TEST_ADD;
TEST_SUBRACT;
TEST_MULTIPLY;
TEST_DIVIDE;
TEST_GETTOTAL;
TEST_CLEARTOTAL;
ATTOL.CLF_ADA;
EXCEPTION WHEN OTHERS => ATTOL.EXCEP_ADA(0);ATTOL.CLF_ADA;
END TCalc;
