--************************************************************************
--* TOOL : Unit Test Compiler VERSION 2002.05.21.468.004                 *
--*                                                                      *
--* COMMAND : attolprepro H:\support\BaeSystems\v182333229\calc.ptu      *
--*   adapcgnt\TCalc.ada /LANGUAGE=ADA /TARGET=PC/NT /FAST               *
--*   /NOSIMULATION                                                      *
--*   /STANDARD=C:\PROGRA~1\Rational\TESTRE~1\targets\adapcgnt\ana\ada95.alk  *
--*   /ADALINK=adalink.alk                                               *
--*                                                                      *
--* FILE : adapcgnt\TCalc_var_simule.ada                                 *
--*                                                                      *
--* DATE : Mon Apr 28 17:39:57 2003                                      *
--************************************************************************
With Attol;
With Attol_Tag;
With Unchecked_Conversion;
With INTERFACE;

Package TCalc_var_simule Is

  Package P_Nonil Is
  End; -- package NoNil

  Procedure Init2(N : IN Standard.Integer; Variant : In Standard.Integer; X : IN OUT STANDARD.INTEGER; Value : IN
 STANDARD.INTEGER);

  Procedure Edp2(N : IN Standard.Integer; Mode_Check : In Attol.ModeCheck; Mode_Valid : In Attol.ModeValid;
                Variant : In Standard.Integer; X : IN STANDARD.INTEGER; Min : IN STANDARD.INTEGER;
                Max : IN STANDARD.INTEGER);

  Procedure Edp2_1(N : IN Standard.Integer; Mode_Check : In Attol.ModeCheck;
                Variant : In Standard.Integer; X : IN STANDARD.INTEGER; Ev : IN STANDARD.INTEGER);

  Procedure Check_in2(X : IN STANDARD.INTEGER; Min : IN STANDARD.INTEGER;
                     Max : IN STANDARD.INTEGER; Error : IN OUT Attol.Attol_int; Variant : In Standard.Integer);

  Procedure Edp1(N : IN Standard.Integer; Mode_Check : In Attol.ModeCheck; Mode_Valid : In Attol.ModeValid;
                Variant : In Standard.Integer; X : IN INTERFACE.DATA_ARRAY; Min : IN INTERFACE.DATA_ARRAY;
                Max : IN INTERFACE.DATA_ARRAY);

  Procedure Check_in1(X : IN INTERFACE.DATA_ARRAY; Min : IN INTERFACE.DATA_ARRAY;
                     Max : IN INTERFACE.DATA_ARRAY; Error : IN OUT Attol.Attol_int; Variant : In Standard.Integer);

  Package Att_1 Is
    Package Att_1_SEND Is
      -- local types
      Type Data_in Is Record -- to store input parameters
        DATA : INTERFACE.DATA_ARRAY;
      End Record; -- type data_in

      Type Field Is Record -- to store all parameters
        Min : Data_in;
        Max : Data_in;
      End Record; -- type field

      Type Slice_err Is Record -- to store an error
        Index : Attol.Attol_int; -- error index
        Field : Data_in; -- bad values
      End Record; -- type slice_err

      Type Repport Is Array(Attol.Attol_Int Range 1..10) Of Slice_Err; -- error repport
      Type Tab_Of_Field Is Array(Attol.Attol_Int Range 1..1) Of Field; -- all the parameters

      -- local variables
      Slicerange : Attol.Stub_Range(1..1); -- parameters range
      Tabfield : Tab_Of_Field; -- all the parameters
      cpt_err : Attol.Attol_int := 0; -- number of errors
      err : repport; -- error repport
      Idx : Attol.Attol_Int := -1; -- number of calling
      Procedure Check;
      Procedure Init;
    End; -- Package Att_1_SEND

  End; -- Package Att_INTERFACE

  Procedure Check_All;
  Procedure Init_All;
End; -- Package TCalc_var_simule
