-- Rational Test RealTime Ada Instrumentor 2002.05.21.468.004 
-- Build Number: 282.001
-- Copyright(C) 2002 Rational Software Corporation. All rights reserved. 
--   Date : 09-Oct-02 19:21 
--     OS : ms-dos 
WITH ATW.COVERAGE; USE ATW.COVERAGE;
PACKAGE ATC_calc_adb IS
 TRACES : ALIASED T_LINK( 0,6, 0,12, 0,0, 0,0 );
 PROCEDURE NEED_BODY;
END ATC_calc_adb;
PACKAGE BODY ATC_calc_adb IS
 PROCEDURE NEED_BODY IS BEGIN NULL; END;
BEGIN 
ATW.COVERAGE.LINK_DESC( TRACES'ACCESS, "  33b54521", "  93f53085" );
END ATC_calc_adb;


WITH ATC_calc_adb;

WITH ATW.COVERAGE;
with Interface;

package body Calc is
COVVAR : ATW.COVERAGE.T_LINK RENAMES
ATC_calc_adb.TRACES;

   Total : Integer := 0;
   Data : Interface.Data_Array;

   procedure Add (Param : in Integer) is
   begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(0)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(0)'ACCESS );
      Total := Total + Param;
      Data := (0..35 => 5, 36..40 => 3456, others => -123);
      Interface.Send(Data);
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(1)'ACCESS );

   end Add;

   procedure Subract (Param : in Integer) is
   begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(1)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(2)'ACCESS );
      Total := Total - Param;
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(3)'ACCESS );

   end Subract;

   procedure Multiply (Param : in Integer) is
   begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(2)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(4)'ACCESS );
      Total := Total * Param;
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(5)'ACCESS );

   end Multiply;

   procedure Divide (Param : in Integer) is
   begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(3)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(6)'ACCESS );
      Total := Total / Param;
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(7)'ACCESS );

   end Divide;

   function getTotal return Integer is
   
FUNCTION LHIT( ATC_VL:in
INTEGER
; ATC_BN:IN ATW.COVERAGE.P_BRANCH) RETURN
INTEGER
 IS BEGIN ATW.COVERAGE.COUNT_HIT(
ATC_BN);
 RETURN 
INTEGER'(ATC_VL); END;
begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(4)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(8)'ACCESS );
      return
LHIT(
 Total
,COVVAR.TP(9)'ACCESS );
   end GetTotal;

   procedure clearTotal is
   begin
ATW.COVERAGE.COUNT_HIT( COVVAR.TB(5)'ACCESS );
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(10)'ACCESS );
      Total := 0;
ATW.COVERAGE.COUNT_HIT( COVVAR.TP(11)'ACCESS );

   end clearTotal;

end Calc;
